extends KinematicBody

onready var red_cube = $".."/RedCube
onready var blue_cube = $".."/BlueCube

export var motion: Vector3
export var move_frame: int = 120

func _physics_process(delta):
	if Engine.get_physics_frames() == move_frame:
		print("%s is processing" % self.name)
		print("start: RedCube.global_transform.origin = ", red_cube.global_transform.origin)
		print("start: BlueCube.global_transform.origin = ", blue_cube.global_transform.origin)
		move_and_collide(motion)
		print("end: RedCube.global_transform.origin = ", red_cube.global_transform.origin)
		print("end: BlueCube.global_transform.origin = ", blue_cube.global_transform.origin)
		print()
